<?xml version="1.0" encoding="gb2312" ?>
<xs:schema targetNamespace="http://www.h3c.com/netconf/action:1.0"
                  elementFormDefault="qualified"
                  xmlns:base="http://www.h3c.com/netconf/base:1.0"
                  xmlns="http://www.h3c.com/netconf/action:1.0"
                  xmlns:xs="http://www.w3.org/2001/XMLSchema">
  <xs:import namespace="http://www.h3c.com/netconf/base:1.0" schemaLocation="basetype.xsd"></xs:import>

  <xs:element name="FileSystem">
    <xs:complexType>
      <xs:choice maxOccurs="unbounded">
        <xs:element name="Files">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="File" maxOccurs="unbounded" >
                <xs:complexType>
                  <xs:all>
                    <xs:element name="SrcName">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:NameString">
                            <xs:maxLength value="4096"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="DstName" minOccurs="0">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:NameString">
                            <xs:maxLength value="4096"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="VRF" minOccurs="0">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:NameString">
                            <xs:maxLength value="31"></xs:maxLength>
                            <xs:minLength value="1"></xs:minLength>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element> 
                    <xs:element name="Operations" minOccurs="1" maxOccurs="1">
                      <xs:complexType>
                        <xs:choice>
                          <xs:element name="Delete" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="UnReservedDelete" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="Copy" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="Move" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="Rename" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="Gzip" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="Gunzip" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="sha256sum" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="md5sum" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="MkDir" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="RmDir" type="xs:string" fixed="">
                          </xs:element>
                        </xs:choice>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="RecycleBin">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="RecycleBinFile" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:NameString">
                            <xs:maxLength value="4096"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Operations" minOccurs="1" maxOccurs="1">
                      <xs:complexType>
                        <xs:choice>
                          <xs:element name="Undelete" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="Clear" type="xs:string" fixed="">
                          </xs:element>
                        </xs:choice>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Media" maxOccurs="unbounded">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Medium" maxOccurs="unbounded" >
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:NameString">
                            <xs:maxLength value="255"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Fdisk" type="xs:string" fixed="" minOccurs="1">
                    </xs:element>
                    <xs:element name="Part1Size" minOccurs="0">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Part2Size" minOccurs="0">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Part3Size" minOccurs="0" >
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Part4Size" minOccurs="0" >
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:UnsignedInteger32">
                            <xs:minInclusive value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
        <xs:element name="Partitions">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="Partition" maxOccurs="unbounded">
                <xs:complexType>
                  <xs:all>
                    <xs:element name="Name">
                      <xs:complexType>
                        <xs:simpleContent>
                          <xs:restriction base="base:NameString">
                            <xs:maxLength value="255"/>
                            <xs:minLength value="1"/>
                          </xs:restriction>
                        </xs:simpleContent>
                      </xs:complexType>
                    </xs:element>
                    <xs:element name="Operations" minOccurs="1" maxOccurs="1">
                      <xs:complexType>
                        <xs:choice>
                          <xs:element name="Format" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="FixDisk" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="Umount" type="xs:string" fixed="">
                          </xs:element>
                          <xs:element name="Mount" type="xs:string" fixed="">
                          </xs:element>
                        </xs:choice>
                      </xs:complexType>
                    </xs:element>
                  </xs:all>
                  <xs:attributeGroup ref="base:RowAttributeGroup"/>
                </xs:complexType>
              </xs:element>
            </xs:sequence>
            <xs:attributeGroup ref="base:TableAttributeGroup"/>
          </xs:complexType>
        </xs:element>
      </xs:choice>
      <xs:attributeGroup ref="base:NodeAttributeGroup"></xs:attributeGroup>
    </xs:complexType>
  </xs:element>
</xs:schema>
